
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《JavaScript设计模式》——9.7 Prototype（原型）模式 / iVAN</title>

    <meta name="description" content="《JavaScript设计模式》——9.7 Prototype（原型）模式 9.7 Prototype(原型)模式 &quot;四人组&quot;称Prototype模式为一种基于现有对象模板,通过克隆方式创建对象的模式. 我们可以认为Prototype模式是基于原型继承的模式,可以在其中创建对象,作为其他对象的原型.prototype对象本身实际上是用作构造函数创建每个对象的蓝图.如果所用构造函数的原型包含一个名为name的属性(代码样例如下),那么由同样的构造函数创建的每个对象也会有同样的属性(见图9-6). 如果查看现有(非JavaScript)文献对该模式的定义 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《JavaScript设计模式》——9.7 Prototype（原型）模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>9.7 Prototype（原型）模式</h3>
<p>“四人组”称Prototype模式为一种基于现有对象模板，通过克隆方式创建对象的模式。</p>
<p>我们可以认为Prototype模式是基于原型继承的模式，可以在其中创建对象，作为其他对象的原型。prototype对象本身实际上是用作构造函数创建每个对象的蓝图。如果所用构造函数的原型包含一个名为name的属性（代码样例如下），那么由同样的构造函数创建的每个对象也会有同样的属性（见图9-6）。<br /><a href="https://yqfile.alicdn.com/8902703c6a89d817bfb2dd4aca39c079e8c17f7e.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzg5MDI3MDNjNmE4OWQ4MTdiZmIyZGQ0YWNhMzljMDc5ZThjMTdmN2UucG5n.jpg"></a></p>
<p>如果查看现有（非JavaScript）文献对该模式的定义，我们可能会再一次发现对类的引用。现实情况是，原型继承避免和类（Class）一起使用。理论上没有“定义”的对象，也没有核心的对象。我们仅是创建现有功能对象的拷贝。</p>
<p>使用Prototype模式的其中一个好处是，我们获得的是JavaScript其本身所具有的原型优势，而不是试图模仿其他语言的特性。与其他设计模式一起使用时，情况并非总是如此。</p>
<p>模式不仅是一种实现继承的简单方法，它也可以带来性能提升：在一个对象中定义一个函数，它们都是由引用创建（因此所有子对象都指向相同的函数），而不是创建它们自己的单份拷贝。</p>
<p>如同ECMAScript5标准所定义的，那些有趣的、真正的原型继承要求使用Object.create（我们在本节的前面曾看到过）。Object.create创建一个对象，拥有指定原型和可选的属性（例如Object.create（prototype, optionalDescriptorObjects））。</p>
<p>在下面的示例中可以看到它的演示：</p>
<pre><code>var myCar = {
   name: "Ford Escort",
   drive: function () {
     console.log("Weeee. I'm driving!");
    },
    panic: function () {
       console.log("Wait. How do you stop this thing?");
    }
};

</code></pre>
<p>// 使用Object.create实例化一个新car</p>
<pre><code>var yourCar = Object.create(myCar);

</code></pre>
<p>// 现在可以看到一个对象是另外一个对象的原型</p>
<pre><code>console.log(yourCar.name);

</code></pre>
<p>Object.create还允许我们轻松实现差异继承等高级概念，通过差异继承，对象可以直接继承自其他对象。我们之前已经了解到，Object.create允许我们使用第二个提供的参数来初始化对象属性。例如：</p>
<pre><code>var vehicle = {
   getModel: function () {
     console.log("The model of this vehicle is.." + this.model);
   }
};
var car = Object.create(vehicle, {
   "id": {
     value: MY_GLOBAL.nextId(),
    // writable:false, configurable:false 默认值
    enumerable: true
   },
   "model": {
      value: "Ford",
     enumerable: true
   }
});

</code></pre>
<p>在这里，可以使用对象字面量在Object.create的第二个参数上初始化属性，并且对象字面量采用的语法与Object.defineProperties和Object.defineProperty方法所使用的语法相似，我们之前已经了解过这些方法。</p>
<p>值得注意的是，在枚举对象的属性以及在hasOwnProperty()检查中包装循环内容时（Crockford推荐），原型关系可能会引起麻烦。</p>
<p>如果希望在不直接使用Object.create的情况下实现Prototype模式，我们可以按照上面的示例模拟该模式，如下所示：</p>
<pre><code>var vehiclePrototype = {
  init: function (carModel) {
     this.model = carModel;
  },
  getModel: function () {
    console.log("The model of this vehicle is.." + this.model);
  }
};
function vehicle(model) {
   function F() { };
  F.prototype = vehiclePrototype;
  var f = new F();
  f.init(model);
  return f;
}
var car = vehicle("Ford Escort");
car.getModel();

</code></pre>
<p>这个方案不允许用户以同样的方式定义只读属性（因为如果不小心，vehiclePrototype可能会被改变）。<br />
最后一种可供选择的Prototype模式实现可以是这样的：</p>
<pre><code>var beget = (function () {
    function F() { }
    return function (proto) {
         F.prototype = proto;
       return new F();
     };
})();

</code></pre>
<p>我们可以从vehicle函数引出这个方法。请注意，这里的vehicle模仿了一个构造函数，因为Prototype模式不包含任何初始化的概念，而不仅是将对象链接至原型。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 02:31:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/create/" title="Create">Create</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/prototype/" title="prototype">prototype</a>, <a href="https://www.iamivan.net/tag/log/" title="LOG">LOG</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《JavaScript设计模式》——9.7 Prototype（原型）模式的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZg9a4b.html" rel="bookmark">解析设计模式中的Prototype原型模式及在C&plus;&plus;中的使用&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原型模式的意图是用原型实例指定创建对象的种类,并且通过拷贝这些原型创建新的对象. 适用性 当要实例化的类是在运行时刻指定时,例如,通过动态装载:或者 为了避免创建一个与产品类层次平行的工厂类层次时:或者 当一个类的实例只能有几个不同状态组合中的一种时.建立相应数目的原型并克隆它们可能比每次用合适的状态手工实例化该类更方便一些. 关于这个模式,突然想到了小时候看的&lt;西游记&gt;,齐天大圣孙悟空再发飙的时候可以通过自己头上的 3 根毛立马复制出来成千上万的孙悟空,对付小妖怪很管用(数量最重要). 原型			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEE5ob.html" rel="bookmark">java设计模式---prototype&lpar;原型&rpar;模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计 java设计模式---prototype(原型)模式 定义:用原型实例指定创建对象的种类,并且通过拷贝这些原型创建新的对象.      Prototype模式允许一个对象再创建另外一个可定制的对象,根本无需知道任何如何创建的细节,      工作原理是:通过将一个原型对象传给那个要发动创建的对象,这个要发动创建的对象通过请求      原型对象拷贝它们自己来实施创建.      适用性:当要实例化的类是在运行时刻指定时,例如,通过动态装载:或者  为了避免创建一个与产品类层次平行的工厂类层			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2PWNZp.html" rel="bookmark">设计模式（四）原型模式Prototype（创建型）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计模式(四)原型模式Prototype  1.   概述 我们都知道,创建型模式一般是用来创建一个新的对象,然后我们使用这个对象完成一些对象的操作,我们通过原型模式可以快速的创建一个对象而不需要提供专门的new()操作就可以快速完成对象的创建,这无疑是一种非常有效的方式,快速的创建一个新的对象. 例子1:孙悟空拔下一嘬猴毛,轻轻一吹就会变出好多的孙悟空来. 例子2:寄个快递下面是一个邮寄快递的场景:&quot;给我寄个快递.&quot;顾客说.&quot;寄往什么地方?寄给--?&quot;你问.&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0v5oz.html" rel="bookmark">详解Java的设计模式编程中的原型模式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义:用原型实例指定创建对象的种类,并通过拷贝这些原型创建新的对象.类型:创建类模式类图: 原型模式主要用于对象的复制,它的核心是就是类图中的原型类Prototype.Prototype类需要具备以下两个条件: 实现Cloneable接口.在java语言有一个Cloneable接口,它的作用只有一个,就是在运行时通知虚拟机可以安全地在实现了此接口的类上使用clone方法.在java虚拟机中,只有实现了这个接口的类才可以被拷贝,否则在运行时会抛出CloneNotSupportedException			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBQyKz.html" rel="bookmark">php设计模式 Prototype &lpar;原型模式&rpar;代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下:&lt;?php /** * 原型模式 * * 用原型实例指定创建对象的种类.并且通过拷贝这个原型来创建新的对象 * */ abstract class Prototype { private $_id = null; public function __construct($id) { $this-&gt;_id = $id; } public function getID() { return $this-&gt;_id; } public function __clone() /			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnVYkp.html" rel="bookmark">javascript设计模式Constructor（构造器）模式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Constructor是一种在内存已分配给该对象的情况下,用于初始化新创建对象的特殊方法.Object构造器用于创建特定类型的对象–准备好对象以备使用,同事接收构造器可以使用参数,以在第一次创建对象时,设置成员属性和方法值. 对象创建 创新新对象,在javascript中通常有两种方法:  1.对象直面量方法 var newObj = {};  2.构造器的简洁方法 var newObj = new Object(); 在Object构造器为特定的值创建对象封装,或者没有传递值时,它将创建一个肯			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bol7gM.html" rel="bookmark">Javascript实例教程&colon;使用动态原型模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:使用动态原型模式时,不能使用对象字面量重写原型.前面已经解释过了,如果在已经创建了实例的情况系重写原型,那么就会切断现有实例与新原型之间的联系. 有其它OO语言经验的开发人员在看到独立的构造函数和原型时,很可能会感到非常的困惑.动态原型模式正是致力于解决这个问题的一个方案,它把所有信息都封装在了构造函数中,而通过在构造函数中初始化原型(仅在必要的情况下),又保持了同时使用构造函数和原型的优点.换句话说,可以通过检查某个应该存在的方法是否有效,来决定是否需要初始化原型.来看一个例子: f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Q2wPp.html" rel="bookmark">Java设计模式（五）----原型模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原型模式(Prototype) 一.概述 二.结构 三.浅度克隆和深度克隆 浅度克隆 深度克隆 一.概述 定义:原型模式属于对象的创建模式.通过给出一个原型对象来指明所有创建的对象的类型,然后用复制这个原型对象的办法创建出更多同类型的对象.简言之:就是复制粘贴.这就是选型模式的用意. 二.结构 原型模式主要用于对象的复制,它的核心是就是类图中的原型类Prototype.Prototype类需要具备以下两个条件: 1.实现Cloneable接口.在java语言有一个Cloneable接口,它的作用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr22gvM.html" rel="bookmark">javascript基础知识之prototype原型详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript的prototype原型简单介绍: prototype原型是javascript中特别重要的概念,属于必须要掌握,如果没有良好的掌握的话,进一步用好或者学好js基本是不可能的实现的事情,并且此概念稍有难度,可能对于初次接触的朋友来说有点困难,下面就通过代码实例简单介绍一下prototype原型的用法. 一.基本概念: 每一个函数都具有一个prototype属性. 此属性是一个指针,能够指向一个对象,而此对象将会被由构造函数创建的对象实例所共享,也就是会继承此对象. 总结:pr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7XGBb.html" rel="bookmark">php Prototype原型模式学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				待解决的问题:我们能否减少new的使用,同时避免需要新增对象的时候,了解对象的类名. 思路:php5提供了克隆方法,我们可以新增一个对象,然后每次需要新增和她同类的对象,克隆他就可以了. 原型(Prototype)模式示例:  代码如下 复制代码 &lt;?php //机兵类 class Marine {   //所属的用户ID   public $playerID   //构造函数,参数为用户的id   public function __construct($id)   {   $this-&gt;p			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdmvxz.html" rel="bookmark" class="title">hi3531的h264压缩中修改波特率</a>
					<div>
						typedef struct hiVENC_ATTR_H264_CBR_S { HI_U32 u32Gop; HI_U32 u32StatTime; HI_U32 u32ViFrmRate; HI_F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvq58b.html" rel="bookmark" class="title">电脑插移动硬盘不显示怎么办</a>
					<div>
						  电脑插移动硬盘不显示的解决方法一: 先看一下磁盘管理里有没有这个移动硬盘的盘符.右击我的电脑-管理-磁盘管理.如果有,你右击这个磁盘,选择打开,可以打开的话,说明你的移动磁盘没问题. 让它在我的电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW5WGz.html" rel="bookmark" class="title">设计师接单经验&colon;需要做到的三不设计</a>
					<div>
						文章描述:让他人尊重我们的设计师及设计成果,首先我们自己要尊重自己,方能赢得他人的尊重也! 1.未与决策人沟通不设计 基层领导个个处心积虑,心怀鬼胎,想在老板面前刻意表现自己,自认为揣摩清楚老板的心思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDqP6b.html" rel="bookmark" class="title">PHP实现广告轮播</a>
					<div>
						广告 网络广告,变成了 Internet 上的热门学问.而 468x60 更变成了广告人员绞尽脑汁的尺寸. 在处理广告时,若能直接使用浏览器将广告的 468x60 图文件送到处理广告的服务器中,相信是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxGnyb.html" rel="bookmark" class="title">探索文章被百度收录的基本条件</a>
					<div>
						一个网站有好的排名离不开好的文章内容,经常在论坛里看见一些SEO新手抱怨为什么我的网站发布的文章都不被百度收录,为什么收录了又被取消了呢?其实只要那些经历过从一篇文章不收录到发布文章百度秒收的站长们, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91kDvM.html" rel="bookmark" class="title">用python实现的百度新歌榜和热歌榜下载器</a>
					<div>
						首先声明,本工具仅仅为学习之用,不涉及版权问题,因为百度音乐里面的歌曲本身是可以下载的,而且现在百度也提供了&quot;百度音乐播放器&quot;,可以通过这个工具进行批量下载. 我当时做这个工具的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOO6ob.html" rel="bookmark" class="title">面向Java开发人员的Ajax&colon; 使用Jetty和DWR实现Comet Web应用程序</a>
					<div>
						作为一种广泛使用的 Web 应用程序开发技术,Ajax 牢固确立了自己的地位,随之而来的是一些通用 Ajax 使用模式.例如,Ajax 经常用于对用户输入作出响应,然后使用从服务器获得的新数据修改页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7DZxM.html" rel="bookmark" class="title">PS合成古堡中的人物写真效果教程</a>
					<div>
						效果图合成的非常逼真,人物与环境融合的很好,色调也很统一.大致过程:合成之前需要搜集好素材,找出合适的背景,然后把人物抠出后拖进来,再慢慢渲染环境色及制作投影等即可. 原图 最终效果 &lt;点小图查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnYNQz.html" rel="bookmark" class="title">HTML5漫谈（3）--HTML5发展需解决的8个问题</a>
					<div>
						大家对HTML5期望很高,希望它继承Web应用开发简单.部署升级方便.可以跨平台,又能像本地应用那样功能强大,操作体验简便友好.我也在上篇&quot;HTML5为什么这样红&quot;中颠来倒去地讲H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxegob.html" rel="bookmark" class="title">php获取数组中重复数据的两种方法</a>
					<div>
						(1)利用php提供的函数,array_unique和array_diff_assoc来实现 复制代码 代码如下: &lt;?php function FetchRepeatMemberInArray ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWJ0Jp.html" rel="bookmark" class="title">Win8系统下恢复误删文件文件的操作方法</a>
					<div>
						  我们在使用电脑时,很多情况下在文件删除后才发现被删除的文件还有用处,删除后才后悔莫及,本文介绍在win8系统下,借助Recuva恢复工具对误删的文件进行恢复. 操作方法 1.首先安装Recuva, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmDj5z.html" rel="bookmark" class="title">windows media player关不掉</a>
					<div>
						  故障分析:首先怀疑是不是你的电脑运行速度过慢所导致,如果你关闭了Windows Media Player,却还有声音在响的话,可能就是你的电脑反应没过来.也有可能是你的版本是老版本,一直提示你安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZKOOb.html" rel="bookmark" class="title">系统-win10开机黑屏只有鼠标显示 摸黑输入密码进入桌面后只显示左下角 求救</a>
					<div>
						问题描述 win10开机黑屏只有鼠标显示 摸黑输入密码进入桌面后只显示左下角 求救 上一次正常开机之后 是自己进入休眠太久自动关机的 之后再开就是标题所述情况 进入桌面后只显示左下角的图标 程序运行都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Ex3z.html" rel="bookmark" class="title">wi-fi-笔记本无线wifi设置问题</a>
					<div>
						问题描述 笔记本无线wifi设置问题 自动获取ip时能连上,但是要如何使用指定的Ip连上wifi呢,听说后者速度更快,是真的吗? 解决方案 笔记本无线WiFi生成代码 解决方案二: 你原来使用的是动态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo4VQb.html" rel="bookmark" class="title">导入的EXCEL怎么存到主从表</a>
					<div>
						问题描述 导入的EXCEL怎么存到主从表 如图来源单号.会员代码.会员名称存主表,商品代码.商品名称存字表.一对多的关系 解决方案 循环判断写入到数据库中, 如果会vba 可以直接excel操作数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlA5qb.html" rel="bookmark" class="title">jdk-MyEclipse中的项目上马有个红叉，怎么去掉？</a>
					<div>
						问题描述 MyEclipse中的项目上马有个红叉,怎么去掉? MyEclipse的版本是10.0,原来用 的是jdk1.7的,现在用jdk版本换成1.8的,项目上就有叉了,怎么去掉. 解决方案 右键项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Pja3p.html" rel="bookmark" class="title">cocoa touch-在ios中获取UIKeyboard显示情况</a>
					<div>
						问题描述 在ios中获取UIKeyboard显示情况 怎么判断应用中UIKeyboard是否开启了? 我不想用UITextField的delegates方法实现. 谢谢. 解决方案 [[NSNotif ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydgRvb.html" rel="bookmark" class="title">求一个JAVA的正则表达示</a>
					<div>
						问题描述 第一个是[#1]然后每个是[#2].[#3].[#4].[#5].[#6]怎么匹配这样的数字符串啊[#]这些都是定了的,数字不定 问题补充:能不能再写一个例子比如说String str =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmL2Wb.html" rel="bookmark" class="title">核电站实时仿真训练模拟器解决方案</a>
					<div>
						GSE是http://www.aliyun.com/zixun/aggregation/31877.html&quot;&gt;全球最大的核电站/或电站实时仿真训练模拟器的供应商,从1971年提供了世 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKPYDb.html" rel="bookmark" class="title">c语言scanf&lpar; &rpar;函数的一个问题</a>
					<div>
						问题描述 c语言scanf( )函数的一个问题 #include int main() { int s; while(1) { printf(&quot;请输入:&quot;); scanf(&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDexqz.html" rel="bookmark" class="title">数据库内核月报 － 2015 &sol; 10-MySQL &CenterDot; 特性分析 &CenterDot; 跟踪Metadata lock</a>
					<div>
						背景 MySQL 从5.5.3版本,对Metadata lock进行了调整,主要是MDL锁持有的周期从语句变成了事务, 其原因主要是解决两个问题: 问题1: 破坏事务隔离级别 在repeatable  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQd7lp.html" rel="bookmark" class="title">hibernate中一级缓存和二级缓存</a>
					<div>
						    一级与二级缓存的作用:一级缓存是Session级别的,也就是说在一个事务中才会启作用.比如在一个事务中同时查询同一个对象,则不会两次去数据库中查询. 而二级缓存是sessionFactory级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQm0np.html" rel="bookmark" class="title">经济利益与民族国家支持已成为主要恶意活动驱动主体</a>
					<div>
						3月15日讯 根据本周二由FireEye公司旗下Mandiant事业部发布的2017 M-Trends报告显示,目前经济利益型动机类恶意活动在复杂程度上已经与民族国家支持型攻击基本持平. FireEy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnL0AM.html" rel="bookmark" class="title">SQL语句里把表的一列数据插到另一张表里去</a>
					<div>
						问题描述 已知A表有字段LBID,LBMC.B表也有LBID,LBMCA表只有LBID的数据0,1B表LBID为1时,LBMC为正品:为0时,LBMC为非正品想把B表的LBMC通过两张表对应的LBID ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeE5JM.html" rel="bookmark" class="title">请教一个ASP&period;net2&period;0的问题</a>
					<div>
						问题描述 在MicrosoftvisualStudio2005进行开发时,使用了SqlDataSource控件有:&lt;asp:SqlDataSourceID=&quot;SqlDataSource ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWeWEM.html" rel="bookmark" class="title">CIO pk CFO：冷战中的&OpenCurlyDoubleQuote;刀光剑影&rdquo;</a>
					<div>
						CIO和CFO之间的冷战在很多组织中都存在. 这其中的原因很复杂,也很多, 首先他们面对的是一个不确定的经济环境,技术不断的被淘汰,对公司花费的严格控制. 但是http://www.aliyun.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBx36z.html" rel="bookmark" class="title">MQ File Mover 4&period;1&period;0发布 文件移动工具</a>
					<div>
						MQ http://www.aliyun.com/zixun/aggregation/19352.html&quot;&gt;File Mover 是一个使用 WebSphere MQ(又称MQSer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7jDaz.html" rel="bookmark" class="title">《机器人自动化：建模、仿真与控制》&mdash;&mdash;第1章  建模</a>
					<div>
						第1章 建模 寻找系统相对精确的状态表示的过程称为建模.一般情况下,常量参数(例如物体的质量.惯性力矩.黏性摩擦系数.电容容量等)会出现在状态方程中,在这些情况下,系统辨识是必不可少的.本书中假设所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKvN6p.html" rel="bookmark" class="title">一篇文章教你用 11 行 Python 代码实现神经网络</a>
					<div>
						声明:本文是根据英文教程 A Neural Network in 11 lines of Python(用 11 行 Python 代码实现的神经网络)学习总结而来,关于更详细的神经网络的介绍可以参考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJOQmp.html" rel="bookmark" class="title">V5</a>
					<div>
						  系统设置--关于手机--版本号点5下--进去开发模式--打开开发选项--打开USB调试.然后在连接第三方助手软件   http://bbs.ztehn.com/thread-19037-1-1.h ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
